services:
    SmartUserBundle\Validator\Constraints\SameAsPreviousValidator:
        public: true
        arguments:
            - '@doctrine.orm.entity_manager'
            - '@security.encoder_factory'
            - '%smart_user.model.password_history.class%'
        tags:
            - { name: validator.constraint_validator }

    SmartUserBundle\Validator\Constraints\UniqueValidator:
        public: true
        arguments:
           - '@doctrine.orm.entity_manager'
           - '@security.encoder_factory'
           - '%smart_user.model.password_history.class%'
        tags:
           - { name: validator.constraint_validator }
